package com.phm.manage.service.impl;

import com.phm.manage.domain.ImportExportLog;
import com.phm.manage.mapper.ImportExportLogMapper;
import com.phm.manage.service.IImportExportLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 导入导出日志;Service业务层处理
 *
 * @author phm
 * @date 2023-08-22
 */
@Service
public class ImportExportLogServiceImpl implements IImportExportLogService {
    @Autowired
    private ImportExportLogMapper importExportLogMapper;

    /**
     * 查询导入导出日志;
     *
     * @param id 导入导出日志;主键
     * @return 导入导出日志;
     */
    @Override
    public ImportExportLog selectImportExportLogById(Long id) {
        return importExportLogMapper.selectImportExportLogById(id);
    }

    /**
     * 查询导入导出日志;列表
     *
     * @param importExportLog 导入导出日志;
     * @return 导入导出日志;
     */
    @Override
    public List<ImportExportLog> selectImportExportLogList(ImportExportLog importExportLog) {
        return importExportLogMapper.selectImportExportLogList(importExportLog);
    }

    /**
     * 新增导入导出日志;
     *
     * @param importExportLog 导入导出日志;
     * @return 结果
     */
    @Override
    public int insertImportExportLog(ImportExportLog importExportLog) {
        return importExportLogMapper.insertImportExportLog(importExportLog);
    }

    /**
     * 修改导入导出日志;
     *
     * @param importExportLog 导入导出日志;
     * @return 结果
     */
    @Override
    public int updateImportExportLog(ImportExportLog importExportLog) {
        return importExportLogMapper.updateImportExportLog(importExportLog);
    }

    /**
     * 批量删除导入导出日志;
     *
     * @param ids 需要删除的导入导出日志;主键
     * @return 结果
     */
    @Override
    public int deleteImportExportLogByIds(Long[] ids) {
        return importExportLogMapper.deleteImportExportLogByIds(ids);
    }

    /**
     * 删除导入导出日志;信息
     *
     * @param id 导入导出日志;主键
     * @return 结果
     */
    @Override
    public int deleteImportExportLogById(Long id) {
        return importExportLogMapper.deleteImportExportLogById(id);
    }
}
